!c Description:
!c   mingibbs 롼ƵŪ˸ƤӽФΥ롼
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2003-02-25    
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved

module interface_rcv_mingibbs
  interface rcv_mingibbs

     subroutine rcv_mingibbs_es(ssw, esw, sw)
       logical, intent(in)  :: ssw(:)
       logical, intent(in)  :: esw(:)
       logical, intent(in)  :: sw
     end subroutine rcv_mingibbs_es
     
     subroutine rcv_mingibbs_s(ssw, sw)
       logical, intent(in)  :: ssw(:)
       logical, intent(in)  :: sw
     end subroutine rcv_mingibbs_s

  end interface
end module interface_rcv_mingibbs






subroutine rcv_mingibbs_s
  logical, intent(in)  :: ssw(:)
  logical, intent(in)  :: sw
  logical, allocatable :: esw(:)
  
  if (.not. sw) then 
     deallocate(ssw)
     return
  end if
  
  allocate (esw(emax)); esw = .true. 
  
  call packing(property, ssw, property_np)
  call packing(emol, esw, emol_np)
  call packing(struct, ssw, esw, struct_np)
  
  call display(emol_np, "(ѹ)")
  call display(struct_np, "¤η(ѹ)")
  
  call mingibbs(temp, pres, emol_np, &
       & struct_np, property_np, mol_ini, gibbs)
  return
  
end subroutine rcv_mingibbs_s

  



