!c Description:
!c   ͤ⾯ʤʤäǤ򥫥å
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2003-03-01    
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved

module interface_chk_mol
  interface

     subroutine chk_mol(mol, EPSZ, ssw, sw)
       real(8), intent(inout)            :: mol(:)       !ؼΥ
       real(8), intent(in)               :: EPSZ
       logical, intent(out), allocatable :: ssw(:)
       logical, intent(out)              :: sw
     end subroutine chk_mol
     
  end interface
end module interface_chk_mol




subroutine chk_mol(mol, EPSZ, ssw, sw)
  implicit none
  real(8), intent(inout)            :: mol(:)       !ؼΥ
  real(8), intent(in)               :: EPSZ
  logical, intent(out), allocatable :: ssw(:)
  logical, intent(out)              :: sw

  integer(8)                        :: s, N


!!!
!!!ͺ
!!!
  N = size(mol, 1)
  if (allocated(ssw)) deallocate(ssw)
  allocate(ssw(N))
  ssw = .true.; sw = .false. 
  

!!!
!!!Ǥ¸̤ EPSZ 礭ɤȽꤹ
!!!
  do s = 1, N
     if (mol(s) <= EPSZ) then 
!        mol(s) = EPSZ
        ssw(s) = .false. 
        sw = .true. 
     end if
  end do

end subroutine chk_mol



