!c Description:
!c  ֹͿ. Τ 1, ϱդ 2, Τ 3, ʳ 4
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2003-02-14    
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved

module interface_def_phase
  interface

     subroutine def_phase(property)
       use prm_type, only: type_property
       type(type_property), intent(inout) :: property(:)
     end subroutine def_phase
     
  end interface
end module interface_def_phase



subroutine def_phase(property)
  use prm_type, only: type_property

  implicit none
  type(type_property), intent(inout) :: property(:)

  integer(8)                         :: s, N, M
  logical                            :: sw1, sw2
  

  N = size(property, 1)
  property%phase = 0           !
  sw1 = .false.; sw2 = .false.
  
  !ϱդ뤿ˤ H2O(l), H2O(s) ɬ
  do s = 1, N
     if (trim(property(s)%name) == 'H2O-l') sw1 = .true.
     if (trim(property(s)%name) == 'H2O-s') sw2 = .true.
  end do

  do s = 1, N
     M = len_trim(property(s)%name)

     !ʤ 1     
     if(property(s)%name(M:M) == 'g') then 
        property(s)%phase = 1 

     !ϱ
     elseif(property(s)%solsw) then 
        if (property(s)%name(M:M) == 'l' .AND. sw1) then 
           property(s)%phase = 2
        elseif(property(s)%name(M:M) == 's' .AND. sw2) then 
           property(s)%phase = 3
        else
           property(s)%phase = 4
        end if
        
     else
        property(s)%phase = 4
     end if
     
     if (property(s)%phase == 0) then 
        write(*,*) "phase is not defined"
        stop
     end if
  end do


end subroutine def_phase
